package com.example.pharmacy.frontEnd;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Environment;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ProgressBar;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * Created by pharmacy on 22/01/2018.
 */

public class NotificationClicked extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        recordClick();
        setUpButtons();
    }

    private void recordClick() {
        int ns;
        int nc;
        int na;
        if (isExternalStorageMounted()) {
            File dir = getDirectory();
            if (dir.isDirectory()) {
                File file = new File(dir.getAbsolutePath() + "NLOG");
                if (file.isFile() & file.canRead()) {
                    try {
                        BufferedReader br = new BufferedReader(new FileReader(file));
                        ns = Integer.parseInt(br.readLine());
                        nc = Integer.parseInt(br.readLine());
                        na = Integer.parseInt(br.readLine());
                        if (file.isFile() & file.canWrite()) {
                            BufferedWriter bw = new BufferedWriter(new FileWriter(file));
                            nc++;
                            bw.write(ns);
                            bw.newLine();
                            bw.write(nc);
                            bw.newLine();
                            bw.write(na);
                        }
                    }catch (IOException e) {

                    }

                }
            }
        }
    }
    /* Checks if external storage is available */
    public boolean isExternalStorageMounted() {
        return (Environment.MEDIA_MOUNTED.equals(Environment.getExternalStorageState()));

    }

    /* Checks if external storage is available to at least read */
    public boolean isExternalStorageReadable() {
        return (Environment.MEDIA_MOUNTED.equals(Environment.getExternalStorageState()) ||
                Environment.MEDIA_MOUNTED_READ_ONLY.equals(Environment.getExternalStorageState()));
    }

    public File getDirectory(){
        File file = new File(this.getExternalFilesDir(
                Environment.DIRECTORY_DOCUMENTS), "NOTLOGS");
        if (!file.mkdirs()) {
            Log.e("ERR", "Directory not created");
        }
        return file;
    }
    private void setUpButtons(){
        Button settings = (Button)findViewById(R.id.settings);
        settings.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(view.getContext(), Settings.class);
                startActivity(intent);
            }
        });
        SharedPreferences shared = this.getSharedPreferences(getString(R.string.preference_file_key), Context.MODE_PRIVATE);
        ProgressBar progress = (ProgressBar) findViewById(R.id.progressBar);
        progress.setMax((shared.getInt(getString(R.string.daily_goal_set), R.integer.daily_goal_minutes)));
        progress.setProgress(shared.getInt(getString(R.string.daily_progress), 0));
    }
    }
